Loading...
Searching...
No Matches
volk_32i_x2_and_32i.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <xmmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32i_x2_and_32i_u_H

## Functions

static void | volk_32i_x2_and_32i_a_sse (int32_t *cVector, const int32_t *aVector, const int32_t *bVector, unsigned int num_points)
static void | volk_32i_x2_and_32i_neon (int32_t *cVector, const int32_t *aVector, const int32_t *bVector, unsigned int num_points)
static void | volk_32i_x2_and_32i_generic (int32_t *cVector, const int32_t *aVector, const int32_t *bVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32i_x2_and_32i_u_H

#define INCLUDED_volk_32i_x2_and_32i_u_H

## Function Documentation

## volk_32i_x2_and_32i_a_sse()

void volk_32i_x2_and_32i_a_sse | ( | int32_t * | cVector,
|  | const int32_t * | aVector,
|  | const int32_t * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32i_x2_and_32i_generic()

void volk_32i_x2_and_32i_generic | ( | int32_t * | cVector,
|  | const int32_t * | aVector,
|  | const int32_t * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32i_x2_and_32i_neon()

void volk_32i_x2_and_32i_neon | ( | int32_t * | cVector,
|  | const int32_t * | aVector,
|  | const int32_t * | bVector,
|  | unsigned int | num_points )

inline static